GET api/pcconfigapi/pcconfigs/{pcId}?active={active}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| pcId | globally unique identifier |
Required |
|
| active | boolean |
None. |
Body Parameters
None.
Response Information
Resource Description
Collection of PcConfigViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| active | boolean |
Required |
|
| id | globally unique identifier |
None. |
|
| key | globally unique identifier |
Required |
|
| pc_id | globally unique identifier |
Required |
|
| value | string |
String length: inclusive between 0 and 100 |
Response Formats
application/json, text/json
Sample:
[
{
"active": true,
"id": "bb7e0531-f462-42c2-a314-cccd707b4c13",
"key": "343cc54d-e79b-4e8d-aeda-2f686e95cb02",
"pc_id": "49b857e4-d716-495c-8201-086ec3d96af0",
"value": "sample string 3"
},
{
"active": true,
"id": "bb7e0531-f462-42c2-a314-cccd707b4c13",
"key": "343cc54d-e79b-4e8d-aeda-2f686e95cb02",
"pc_id": "49b857e4-d716-495c-8201-086ec3d96af0",
"value": "sample string 3"
}
]
application/xml, text/xml
Sample:
<ArrayOfpc_config xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel">
<pc_config>
<active>true</active>
<id>bb7e0531-f462-42c2-a314-cccd707b4c13</id>
<key>343cc54d-e79b-4e8d-aeda-2f686e95cb02</key>
<pc_id>49b857e4-d716-495c-8201-086ec3d96af0</pc_id>
<value>sample string 3</value>
</pc_config>
<pc_config>
<active>true</active>
<id>bb7e0531-f462-42c2-a314-cccd707b4c13</id>
<key>343cc54d-e79b-4e8d-aeda-2f686e95cb02</key>
<pc_id>49b857e4-d716-495c-8201-086ec3d96af0</pc_id>
<value>sample string 3</value>
</pc_config>
</ArrayOfpc_config>